petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatInterpolateAdd

w = y + A*x or A'*x depending on the shape of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatInterpolateAdd(Mat A,Vec x,Vec y,Vec w)

Neighbor-wise Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| x,y | - the vectors Many br
| w | - where the result is stored Many br

Many br

### Notes

w may be the same vector as y. Many br

This allows one to use either the restriction or interpolation (its transpose) Many brmatrix to do the interpolation Many br

### See Also

MatMultAdd(), MatMultTransposeAdd(), MatRestrict()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages